image: java:8-jdk

before_script:
  - chmod 777 ./*

stages:
  - build

build:
  stage: build
  script:
    - ./gradlew clean build
  artifacts:
    name: latest
    paths:
      - ./target/*.jar
    expire_in: 1 week
  only:
    - master
